Package org.eclipse.net4j.util.concurrent

# Class TimerLifecycle.DaemonFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.concurrent.TimerLifecycle.DaemonFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

Enclosing class:
  TimerLifecycle

public static class TimerLifecycle.DaemonFactory extends Factory

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`DaemonFactory()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`create(String name)`
`static TimerLifecycle`
`getTimer(IManagedContainer container, String name)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### DaemonFactory

public DaemonFactory()

## Method Details

### create

public Object create(String name) throws ProductCreationException

Throws:
  `ProductCreationException`

### getTimer

public static TimerLifecycle getTimer(IManagedContainer container, String name)